cannot install freetype

Go To Last Post
5 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Hello,
I have a problem installing freetyp. When I try to install it, I will get the following error:

fwuerri@fwuerri-linux:~$ sudo apt-get install freetype-avr32
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Couldn't find package freetype-avr32

In sources.list I added the following line:
deb http://www.atmel.no/beta_ware/av... binary/

Has someone a idea, what is going wrong?

Thanks Frank

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I don't have a .deb machine around but the fact it can't find the package may be because you've got the package name wrong..? If you crack open your favourite graphical package manager (eg Synaptic) and search for this package, can you install it? Can you otherwise confirm that the package name is correct?

Maybe a simple "apt-get update && apt-cache search freetype | grep avr32" will help.

-S.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

It's true, the freetype-avr32 is not available. I found it on "AVR32 Linux BSP CD Image". There is the file: /media/cdrom0/devel/linux/ubuntu/dapper/freetype-avr32_2.1.10-2_i386.deb.
The libpng-avr32, which is also on this CD, I could install with apt-get. The freetype-avr32 is already on the CD, but how can I install it? When I give apt-get the path, I could not install it, neither with synaptic.

Thank You for your help
Frank

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Under most .deb based OSs you can just double-click on the .deb and the right thing will be done! Failing that use

dpkg --install /path/to/freetype-avr32_versionspoodge.deb

-S.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Thank you very much, squidgit. That worked. I have freetype installed now. The only lib I need for building rrdtool is libart_lgpl, but that I cannot find for avr32. I don't know, how to cross-compile this for avr32, but I will try.

Frank